Index: /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRace.cc
===================================================================
--- /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRace.cc	(revision 10235)
+++ /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRace.cc	(revision 10236)
@@ -88,51 +88,51 @@
     void DodgeRace::tick(float dt)
     {
-    	if (getPlayer() != NULL)
-    	{
-			//WeakPtr<DodgeRaceShip> ship = getPlayer();
-
-			currentPosition = getPlayer()->getWorldPosition().x;
-			counter = counter + (currentPosition - lastPosition);
-			lastPosition = currentPosition;
-			point = (int) currentPosition;
-			getPlayer()->speed = 830.0f - (point / 1000);
-
-			for(unsigned int i=0; i < cubeList.size();i++)
-			{
-				if(cubeList.at(i)->getPosition().x < currentPosition-3000)
-				{
-					cubeList.at(i)->destroy();
-					cubeList.erase(cubeList.begin()+i);
-				}
-			}
-
-			if(counter >= 3000)
-			{
-				counter = 0;
-				for(int i = 0; i<6; i++)
-				{
-					WeakPtr<DodgeRaceCube> cube = new DodgeRaceCube(this->center_->getContext());
-					cubeList.push_back(cube);
-					switch(pattern)
-					{
-					case 1: cube->addTemplate("DodgeRaceCube01");
-					break;
-					case 2:	cube->addTemplate("DodgeRaceCube02");
-					break;
-
-					}
-
-					cube->setPosition(getPlayer()->getWorldPosition() + Vector3(5000.0f, 0.0f, -3600.0f + (i*1200)));
-					//stEntity->setScale3D(50,50,50);
-				}
-
-
-				pattern %= 2;
-				pattern ++;
-
-			}
-
-    	}
-    	SUPER(DodgeRace, tick, dt);
+        if (getPlayer() != NULL)
+        {
+            //WeakPtr<DodgeRaceShip> ship = getPlayer();
+
+            currentPosition = getPlayer()->getWorldPosition().x;
+            counter = counter + (currentPosition - lastPosition);
+            lastPosition = currentPosition;
+            point = (int) currentPosition;
+            getPlayer()->speed = 830.0f - (point / 1000);
+
+            for(unsigned int i=0; i < cubeList.size();i++)
+            {
+                if(cubeList.at(i)->getPosition().x < currentPosition-3000)
+                {
+                    cubeList.at(i)->destroy();
+                    cubeList.erase(cubeList.begin()+i);
+                }
+            }
+
+            if(counter >= 3000)
+            {
+                counter = 0;
+                for(int i = 0; i<6; i++)
+                {
+                    WeakPtr<DodgeRaceCube> cube = new DodgeRaceCube(this->center_->getContext());
+                    cubeList.push_back(cube);
+                    switch(pattern)
+                    {
+                    case 1: cube->addTemplate("DodgeRaceCube01");
+                    break;
+                    case 2: cube->addTemplate("DodgeRaceCube02");
+                    break;
+
+                    }
+
+                    cube->setPosition(getPlayer()->getWorldPosition() + Vector3(5000.0f, 0.0f, -3600.0f + (i*1200)));
+                    //stEntity->setScale3D(50,50,50);
+                }
+
+
+                pattern %= 2;
+                pattern ++;
+
+            }
+
+        }
+        SUPER(DodgeRace, tick, dt);
     }
 
@@ -143,5 +143,5 @@
             for (ObjectList<DodgeRaceShip>::iterator it = ObjectList<DodgeRaceShip>::begin(); it != ObjectList<DodgeRaceShip>::end(); ++it)
             {
-            	player = *it;
+                player = *it;
             }
         }
@@ -151,6 +151,6 @@
     void DodgeRace::costLife()
     {
-    	//endGameTimer.setTimer(8.0f, false, createExecutor(createFunctor(&DodgeRace::end, this)));
-    	lives = 0;
+        //endGameTimer.setTimer(8.0f, false, createExecutor(createFunctor(&DodgeRace::end, this)));
+        lives = 0;
     };
 
@@ -167,12 +167,12 @@
     void DodgeRace::start()
     {
-    	orxout() << "start" << endl;
+        orxout() << "start" << endl;
         init();
-		for(unsigned int i=0; i< cubeList.size();i++)
-		{
-			cubeList.at(i)->destroy();
-			cubeList.erase(cubeList.begin()+i);
-
-		}
+        for(unsigned int i=0; i< cubeList.size();i++)
+        {
+            cubeList.at(i)->destroy();
+            cubeList.erase(cubeList.begin()+i);
+
+        }
         cubeList.clear();
         // Set variable to temporarily force the player to spawn.
@@ -189,26 +189,26 @@
     }
 
-	void DodgeRace::playerPreSpawn(PlayerInfo* player)
-	{
-		if(lives <= 0)
-		{
-			this->end();
-		}
-
-		// Reset all the cubes
-		/*
-		orxout() << "prespawn" << endl;
-		init();
-		for(int i=0; i< cubeList.size();i++)
-		{
-			cubeList.at(i)->destroy();
-			cubeList.erase(cubeList.begin()+i);
-		}
-		cubeList.clear();
+    void DodgeRace::playerPreSpawn(PlayerInfo* player)
+    {
+        if(lives <= 0)
+        {
+            this->end();
+        }
+
+        // Reset all the cubes
+        /*
+        orxout() << "prespawn" << endl;
+        init();
+        for(int i=0; i< cubeList.size();i++)
+        {
+            cubeList.at(i)->destroy();
+            cubeList.erase(cubeList.begin()+i);
+        }
+        cubeList.clear();
         lives = 1;
         point = 0;
         lastPosition = 0;
         */
-	}
+    }
 
     void DodgeRace::addPoints(int numPoints)
Index: /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRace.h
===================================================================
--- /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRace.h	(revision 10235)
+++ /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRace.h	(revision 10236)
@@ -39,5 +39,5 @@
 
 #include "DodgeRaceCenterPoint.h" // Necessary for WeakPointer??
-//#include "DodgeRaceShip.h" 		DO NOT include in Header. Will cause forward declaration issues
+//#include "DodgeRaceShip.h"        DO NOT include in Header. Will cause forward declaration issues
 
 //#include "DodgeRaceHUDinfo.h"
@@ -118,6 +118,6 @@
 
             Timer enemySpawnTimer;
-			Timer comboTimer;
-			Timer showLevelTimer;
+            Timer comboTimer;
+            Timer showLevelTimer;
 
 
Index: /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRaceCube.cc
===================================================================
--- /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRaceCube.cc	(revision 10235)
+++ /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRaceCube.cc	(revision 10236)
@@ -36,10 +36,10 @@
 namespace orxonox
 {
-	RegisterClass(DodgeRaceCube);
+    RegisterClass(DodgeRaceCube);
 
-	DodgeRaceCube::DodgeRaceCube(Context* context) : MovableEntity(context)
-	{
-		RegisterObject(DodgeRaceCube);
-	}
+    DodgeRaceCube::DodgeRaceCube(Context* context) : MovableEntity(context)
+    {
+        RegisterObject(DodgeRaceCube);
+    }
 
 
Index: /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRaceHUDinfo.cc
===================================================================
--- /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRaceHUDinfo.cc	(revision 10235)
+++ /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRaceHUDinfo.cc	(revision 10236)
@@ -56,22 +56,22 @@
 
 
-		if(this->bShowPoints_)
-		{
-			const std::string& points = multi_cast<std::string>(this->DodgeRaceGame->getPoints());
-			if (this->DodgeRaceGame->lives <= 0)
-			{
-				setTextSize(0.2);
-				setPosition(Vector2(0.1, 0.02));
-				this->setCaption("Final score:\n" + points);
-				this->setColour(ColourValue(1, 0, 0, 1));
-			}
-			else
-			{
-				setTextSize(0.04);
-				setPosition(Vector2(0.14, 0.02));
-				this->setColour(ColourValue(1, 1, 1, 1));
-				this->setCaption(points);
-			}
-		}
+        if(this->bShowPoints_)
+        {
+            const std::string& points = multi_cast<std::string>(this->DodgeRaceGame->getPoints());
+            if (this->DodgeRaceGame->lives <= 0)
+            {
+                setTextSize(0.2);
+                setPosition(Vector2(0.1, 0.02));
+                this->setCaption("Final score:\n" + points);
+                this->setColour(ColourValue(1, 0, 0, 1));
+            }
+            else
+            {
+                setTextSize(0.04);
+                setPosition(Vector2(0.14, 0.02));
+                this->setColour(ColourValue(1, 1, 1, 1));
+                this->setCaption(points);
+            }
+        }
     }
 
Index: /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRaceShip.cc
===================================================================
--- /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRaceShip.cc	(revision 10235)
+++ /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRaceShip.cc	(revision 10236)
@@ -101,5 +101,5 @@
         if(pos.y != 0)
         {
-        	pos.y = 0;
+            pos.y = 0;
         }
 
@@ -126,6 +126,6 @@
     void DodgeRaceShip::moveFrontBack(const Vector2& value)
     {
-    	//lastTimeFront = 0;
-    	//desiredVelocity.y = value.y * speed * 42;
+        //lastTimeFront = 0;
+        //desiredVelocity.y = value.y * speed * 42;
 
     }
@@ -133,6 +133,6 @@
     void DodgeRaceShip::moveRightLeft(const Vector2& value)
     {
-    	lastTimeLeft = 0;
-    	desiredVelocity.x = value.x * speed;
+        lastTimeLeft = 0;
+        desiredVelocity.x = value.x * speed;
     }
     void DodgeRaceShip::boost(bool bBoost)
@@ -144,6 +144,6 @@
     {
 
-    	removeHealth(100);
-    	this->death();
+        removeHealth(100);
+        this->death();
         return false;
     }
@@ -155,5 +155,5 @@
             for (ObjectList<DodgeRace>::iterator it = ObjectList<DodgeRace>::begin(); it != ObjectList<DodgeRace>::end(); ++it)
             {
-            	game = *it;
+                game = *it;
             }
         }
Index: /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRaceShip.h
===================================================================
--- /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRaceShip.h	(revision 10235)
+++ /code/branches/surfaceraceHS14/src/modules/dodgerace/DodgeRaceShip.h	(revision 10236)
@@ -57,18 +57,18 @@
 
             // overwrite for 2d movement
-		    virtual void moveFrontBack(const Vector2& value);
-		    virtual void moveRightLeft(const Vector2& value);
+            virtual void moveFrontBack(const Vector2& value);
+            virtual void moveRightLeft(const Vector2& value);
 
-	 	    // Starts or stops fireing
-		    virtual void boost(bool bBoost);
+            // Starts or stops fireing
+            virtual void boost(bool bBoost);
 
-		    //no rotation!
-		    virtual void rotateYaw(const Vector2& value){};
-		    virtual void rotatePitch(const Vector2& value){};
+            //no rotation!
+            virtual void rotateYaw(const Vector2& value){};
+            virtual void rotatePitch(const Vector2& value){};
 
-		    //return to main menu if game has ended.
-		    virtual void rotateRoll(const Vector2& value){if (getGame()) if (getGame()->bEndGame) getGame()->end();};
+            //return to main menu if game has ended.
+            virtual void rotateRoll(const Vector2& value){if (getGame()) if (getGame()->bEndGame) getGame()->end();};
 
-		    virtual void updateLevel();
+            virtual void updateLevel();
 
             float speed, damping, posforeward;
@@ -88,6 +88,6 @@
             struct Velocity
             {
-			   float x;
-			   float y;
+                float x;
+                float y;
             } velocity, desiredVelocity;
 