Index: code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.cc	(revision 10239)
+++ code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.cc	(revision 10240)
@@ -306,7 +306,7 @@
                     if (!it->second.wasOutOfView_)
                     {
-                    	it->second.health_->hide();
-                    	it->second.healthLevel_->hide();
-                    	it->second.panel_->setMaterialName(TextureGenerator::getMaterialName("arrows.png", it->first->getRadarObjectColour()));
+                        it->second.health_->hide();
+                        it->second.healthLevel_->hide();
+                        it->second.panel_->setMaterialName(TextureGenerator::getMaterialName("arrows.png", it->first->getRadarObjectColour()));
                         it->second.wasOutOfView_ = true;
                         it->second.target_->hide();
@@ -370,5 +370,5 @@
 
 
-                	//calculate the health of the actual selected radarViewable (relativHealthScale: while (0) is no health left, (1) is the initial health)
+                    //calculate the health of the actual selected radarViewable (relativHealthScale: while (0) is no health left, (1) is the initial health)
                     Pawn* pawnPtr = (Pawn*) (it->first->getWorldEntity());
                     float health = pawnPtr->getHealth();
@@ -384,17 +384,17 @@
 
                     if(initHealth < 200)
-                    	HealthLevel = 1;
+                        HealthLevel = 1;
                     if(200 <= initHealth && initHealth < 500)
-                    	HealthLevel = 2;
+                        HealthLevel = 2;
                     if(500 <= initHealth && initHealth < 1000)
-                    	HealthLevel = 3;
+                        HealthLevel = 3;
                     if(1000 <= initHealth && initHealth < 2500)
-                    	HealthLevel = 4;
+                        HealthLevel = 4;
                     if(2500 <= initHealth)
-                    	HealthLevel = 5;
-
-
-
-                	// Change material only if outOfView changed
+                        HealthLevel = 5;
+
+
+
+                    // Change material only if outOfView changed
                     if (it->second.wasOutOfView_)
                     {
@@ -413,6 +413,6 @@
                         // spaceship is still intact there should be at least one part of the bar left.
                         if(1<=discreteHealthScale){
-                        	it->second.health_->setTiling((float)discreteHealthScale , 1 ,0);
-                        	it->second.health_->setDimensions(this->healthMarkerSize_ * this->getActualSize().x *0.1f*discreteHealthScale, 0.75f*this->healthMarkerSize_ * this->getActualSize().y);
+                            it->second.health_->setTiling((float)discreteHealthScale , 1 ,0);
+                            it->second.health_->setDimensions(this->healthMarkerSize_ * this->getActualSize().x *0.1f*discreteHealthScale, 0.75f*this->healthMarkerSize_ * this->getActualSize().y);
                         }
 
@@ -510,7 +510,7 @@
 
             {
-            	it->second.health_->hide();
+                it->second.health_->hide();
                 it->second.healthLevel_->hide();
-            	it->second.panel_->hide();
+                it->second.panel_->hide();
                 it->second.text_->hide();
                 it->second.target_->hide();
@@ -535,8 +535,8 @@
         for (std::map<RadarViewable*, ObjectInfo>::iterator it = this->activeObjectList_.begin(); it != this->activeObjectList_.end(); ++it)
         {
-        	if (it->second.health_ != NULL)
-        	    it->second.health_->setDimensions(this->healthMarkerSize_ * xScale, this->healthMarkerSize_ * yScale);
-        	if (it->second.healthLevel_ != NULL)
-        		it->second.healthLevel_->setDimensions(this->healthLevelMarkerSize_ * xScale, this->healthLevelMarkerSize_ * yScale);
+            if (it->second.health_ != NULL)
+                it->second.health_->setDimensions(this->healthMarkerSize_ * xScale, this->healthMarkerSize_ * yScale);
+            if (it->second.healthLevel_ != NULL)
+                it->second.healthLevel_->setDimensions(this->healthLevelMarkerSize_ * xScale, this->healthLevelMarkerSize_ * yScale);
             if (it->second.panel_ != NULL)
                 it->second.panel_->setDimensions(this->navMarkerSize_ * xScale, this->navMarkerSize_ * yScale);
@@ -627,6 +627,6 @@
         {
             // Detach overlays
-        	this->background_->removeChild(it->second.health_->getName());
-        	this->background_->removeChild(it->second.healthLevel_->getName());
+            this->background_->removeChild(it->second.health_->getName());
+            this->background_->removeChild(it->second.healthLevel_->getName());
             this->background_->removeChild(it->second.panel_->getName());
             this->background_->removeChild(it->second.target_->getName());
Index: code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.h
===================================================================
--- code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.h	(revision 10239)
+++ code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.h	(revision 10240)
@@ -80,7 +80,7 @@
 
 
-            	Ogre::PanelOverlayElement* health_;
-            	Ogre::PanelOverlayElement* healthLevel_;
-            	Ogre::PanelOverlayElement* panel_;
+                Ogre::PanelOverlayElement* health_;
+                Ogre::PanelOverlayElement* healthLevel_;
+                Ogre::PanelOverlayElement* panel_;
                 Ogre::PanelOverlayElement* target_;
                 Ogre::TextAreaOverlayElement* text_;
@@ -99,5 +99,5 @@
                         }
             inline float getHealthMarkerSize() const
-                        	{ return healthMarkerSize_; }
+                            { return healthMarkerSize_; }
 
             inline void setHealthLevelMarkerSize(float size)
@@ -107,5 +107,5 @@
                                     }
                         inline float getHealthLevelMarkerSize() const
-                                    	{ return healthLevelMarkerSize_; }
+                                        { return healthLevelMarkerSize_; }
 
             inline void setNavMarkerSize(float size)